websocket-sharp : WebSocketSharp.Net Namespace

# WebSocketContext Class

Documentation for this section has not yet been entered.

## Syntax

public abstract class WebSocketContext

## Remarks

Documentation for this section has not yet been entered.

## Requirements

Namespace: WebSocketSharp.Net
Assembly: websocket-sharp (in websocket-sharp.dll)
Assembly Versions: 1.0.2.36581

## Members

See Also: Inherited members from object.

## Protected Constructors

| WebSocketContext () | Documentation for this section has not yet been entered.

## Public Properties

[read-only] abstract | CookieCollection | CookieCollection . Documentation for this section has not yet been entered.
[read-only] abstract | Headers | System.Collections.Specialized.NameValueCollection . Documentation for this section has not yet been entered.
[read-only] abstract | IsAuthenticated | bool . Documentation for this section has not yet been entered.
[read-only] abstract | IsLocal | bool . Documentation for this section has not yet been entered.
[read-only] abstract | IsSecureConnection | bool . Documentation for this section has not yet been entered.
[read-only] abstract | Origin | string . Documentation for this section has not yet been entered.
[read-only] abstract | RequestUri | Uri . Documentation for this section has not yet been entered.
[read-only] abstract | SecWebSocketKey | string . Documentation for this section has not yet been entered.
[read-only] abstract | SecWebSocketProtocols | IEnumerable<string> . Documentation for this section has not yet been entered.
[read-only] abstract | SecWebSocketVersion | string . Documentation for this section has not yet been entered.
[read-only] abstract | User | System.Security.Principal.IPrincipal . Documentation for this section has not yet been entered.
[read-only] abstract | WebSocket | WebSocketSharp.WebSocket . Documentation for this section has not yet been entered.

## Extension Methods

static

IsNull<T> (this T) : bool

> Determines whether the specified object is `null`.

static

IsNullDo<T> (this T, Action) : bool

> Determines whether the specified object is `null`. And invokes the specified Action delegate if the specified object is `null`.

## Member Details

### WebSocketContext Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> protected WebSocketContext ()

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### CookieCollection Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public abstract CookieCollection CookieCollection { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Headers Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public abstract System.Collections.Specialized.NameValueCollection Headers { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### IsAuthenticated Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public abstract bool IsAuthenticated { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### IsLocal Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public abstract bool IsLocal { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### IsSecureConnection Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public abstract bool IsSecureConnection { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Origin Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public abstract string Origin { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### RequestUri Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public abstract Uri RequestUri { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### SecWebSocketKey Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public abstract string SecWebSocketKey { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### SecWebSocketProtocols Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public abstract IEnumerable<string> SecWebSocketProtocols { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### SecWebSocketVersion Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public abstract string SecWebSocketVersion { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### User Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public abstract System.Security.Principal.IPrincipal User { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### WebSocket Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public abstract WebSocketSharp.WebSocket WebSocket { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581